Subject: bug#76765: 30.1; macOS dictation used to work with Emacs < 30.1

From: Charles Choi <[email-masked]>
Date: Tue, 11 Mar 2025 20:58:01 -0700

Both 29.4 and 30.1 were running on the same macOS ARM laptop.

Here is the uname -a on the macOS system running either version of GNU Emacs  (29.4, 30.1) related to this issue.

Darwin bingsu.local 24.3.0 Darwin Kernel Version 24.3.0: Thu Jan  2 20:24:16 PST 2025; root:xnu-11215.81.4~3/RELEASE_ARM64_T6000 arm64 arm Darwin

Charles

—
Charles Y. Choi, Ph.D.
[email-masked]

> On Mar 11, 2025, at 8:31 PM, Ship Mints <[email-masked]> wrote:
> 
> On Tue, Mar 11, 2025 at 10:54 PM Stefan Kangas <[email-masked]> wrote:
> Ship Mints <[email-masked]> writes:
> 
> > On Tue, Mar 11, 2025 at 10:37 PM Charles Choi <[email-masked]>
> > wrote:
> >
> >> To clarify, all my reported behavior is with the GNU NS-variant of Emacs.
> >> macOS voice dictation worked for me in 29.4. It does not in 30.1.
> >>
> >> I have not used the Yamamoto fork in over a year and it is not installed
> >> on my system.
> >>
> >> All builds that I have been using have come from MacPorts package
> >> emacs-app.  https://ports.macports.org/port/emacs-app/details/
> >
> >
> > Were you on Intel or ARM and which macOS version worked for Emacs 29.4?  I
> > have Intel macOS 12.7.6 and dictation does not work with Emacs 29.4 for me
> > (or 30.1 or current master).  It could be a configuration issue or
> > something else.
> 
> Charles diligently included this in his first message.  He's on ARM.
> 
> He's *now* on ARM but he didn't say on what platform he experienced Emacs 29.4 working.  He quoted his platform for Emacs 30.1.